<?php

namespace IQDEV\ElasticSearchTests;

use IQDEV\ElasticSearchTests\Helpers\Arr;
use PHPUnit\Framework\TestCase;

abstract class AbstractTestCase extends TestCase
{
    protected function assertArray(array $expected, array $actual, string $message = '')
    {
        $expectedKeys = Arr::convertingOneDimensional($expected);
        $actualKeys = Arr::convertingOneDimensional($actual);
        foreach ($expectedKeys as $key => $value) {
            $this->assertArrayHasKey($key, $actualKeys, $message);
            if (isset($actualKeys[$key])) {
                $this->assertEquals($actualKeys[$key], $value, $key);
            }
        }
    }
}